Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -12374,12 +24368,53 @@
   'profile-iptc'       IPTC_Profile             Photoshop
   'profile-xmp'        XMP_Profile              XMP
-  'red-primary'        RedPrimary               N
-  'rendering-intent'   RenderingIntent          N
-  'resolution'         Resolution               N
-  'rows'               ImageHeight              N
-  'scene'              Scene                    N
-  'signature'          Signature                N
-  'units'              Units                    N
-  'white-point'        WhitePoint               N
+  'red-primary'        RedPrimary               no
+  'rendering-intent'   RenderingIntent          no
+  'resolution'         Resolution               no
+  'rows'               ImageHeight              no
+  'scene'              Scene                    no
+  'signature'          Signature                no
+  'units'              Units                    no
+  'white-point'        WhitePoint               no
+
+=head2 PCX Tags
+
+Tags extracted from PC Paintbrush images.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Manufacturer                         no
+      1    Software                             no
+      2    Encoding                             no
+      3    BitsPerPixel                         no
+      4    LeftMargin                           no
+      6    TopMargin                            no
+      8    ImageWidth                           no
+     10    ImageHeight                          no
+     12    XResolution                          no
+     14    YResolution                          no
+     65    ColorPlanes                          no
+     66    BytesPerLine                         no
+     68    ColorMode                            no
+     70    ScreenWidth                          no
+     72    ScreenHeight                         no
+
+=head2 PGF Tags
+
+The following table lists information extracted from the header of
+Progressive Graphics File (PGF) images.  As well, information is extracted
+from the embedded PNG metadata image if it exists.  See
+L<http://www.libpgf.org/> for the PGF specification.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    PGFVersion                           no
+      8    ImageWidth                           no
+     12    ImageHeight                          no
+     16    PyramidLevels                        no
+     17    Quality                              no
+     18    BitsPerPixel                         no
+     19    ColorComponents                      no
+     20    ColorMode                            no
+     21    BackgroundColor                      no
 
 =head2 PSP Tags
@@ -12390,5 +24425,5 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'FileVersion'        FileVersion              N
+  'FileVersion'        FileVersion              no
   0x0000               ImageInfo                PSP Image
                                                 PSP Image
@@ -12398,14 +24433,14 @@
 =head3 PSP Image Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      4    ImageHeight                          N
-      8    ImageResolution                      N
-     16    ResolutionUnit                       N
-     17    Compression                          N
-     19    BitsPerSample                        N
-     21    Planes                               N
-     23    NumColors                            N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      4    ImageHeight                          no
+      8    ImageResolution                      no
+     16    ResolutionUnit                       no
+     17    Compression                          no
+     19    BitsPerSample                        no
+     21    Planes                               no
+     23    NumColors                            no
 
 =head3 PSP Creator Tags
@@ -12413,12 +24448,12 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   Title                                N
-  0x0001   CreateDate                           N
-  0x0002   ModifyDate                           N
-  0x0003   Artist                               N
-  0x0004   Copyright                            N
-  0x0005   Description                          N
-  0x0006   CreatorAppID                         N
-  0x0007   CreatorAppVersion                    N
+  0x0000   Title                                no
+  0x0001   CreateDate                           no
+  0x0002   ModifyDate                           no
+  0x0003   Artist                               no
+  0x0004   Copyright                            no
+  0x0005   Description                          no
+  0x0006   CreatorAppID                         no
+  0x0007   CreatorAppVersion                    no
 
 =head3 PSP Ext Tags
@@ -12427,4 +24462,60 @@
   ------   --------                             --------
   0x0003   EXIFInfo                             EXIF
+
+=head2 PhotoCD Tags
+
+Tags extracted from Kodak Photo CD Image Pac (PCD) files.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      7    SpecificationVersion                 no
+      9    AuthoringSoftwareRelease             no
+     11    ImageMagnificationDescriptor         no
+     13    CreateDate                           no
+     17    ModifyDate                           no
+     21    ImageMedium                          no
+     22    ProductType                          no
+     42    ScannerVendorID                      no
+     62    ScannerProductID                     no
+     78    ScannerFirmwareVersion               no
+     82    ScannerFirmwareDate                  no
+     90    ScannerSerialNumber                  no
+    110    ScannerPixelSize                     no
+    112    ImageWorkstationMake                 no
+    132    CharacterSet                         no
+    133    CharacterEscapeSequence?             no
+    165    PhotoFinisherName                    no
+    228    SceneBalanceAlgorithmRevision        no
+    230    SceneBalanceAlgorithmCommand         no
+    325    SceneBalanceAlgorithmFilmID          no
+    331    CopyrightStatus                      no
+    332    CopyrightFileName                    no
+   1538    Orientation                          no
+  1538.1   ImageWidth                           no
+  1538.2   ImageHeight                          no
+  1538.3   CompressionClass                     no
+
+=head2 Radiance Tags
+
+Information extracted from Radiance RGBE HDR images.  Tag ID's are all
+uppercase as stored in the file, but converted to lowercase by when
+extracting to avoid conflicts with internal ExifTool variables.  See
+L<http://radsite.lbl.gov/radiance/refer/filefmts.pdf> and
+L<http://www.graphics.cornell.edu/online/formats/rgbe/> for the
+specification.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  '_command'           Command                  no
+  '_comment'           Comment                  no
+  '_orient'            Orientation              no
+  'colorcorr'          ColorCorrection          no
+  'exposure'           Exposure                 no
+  'format'             Format                   no
+  'gamma'              Gamma                    no
+  'pixaspect'          PixelAspectRatio         no
+  'primaries'          ColorPrimaries           no
+  'software'           Software                 no
+  'view'               View                     no
 
 =head2 PDF Tags
@@ -12441,8 +24532,9 @@
 password-protected PDF files.
 
-When writing PDF files, ExifTool uses an incremental update.  This has the
-advantages of being fast and reversible.  The original PDF can be easily
-recovered by deleting the C<PDF-update> pseudo-group (with
-C<-PDF-update:all=> on the command line).  But there are two main
+ExifTool may be used to write native PDF and XMP metadata to PDF files. It
+uses an incremental update technique that has the advantages of being both
+fast and reversible.  If ExifTool was used to modify a PDF file, the
+original may be recovered by deleting the C<PDF-update> pseudo-group (with
+C<-PDF-update:all=> on the command line).  However, there are two main
 disadvantages to this technique:
 
@@ -12452,5 +24544,7 @@
 2) All metadata edits are reversible.  While this would normally be
 considered an advantage, it is a potential security problem because old
-information is never actually deleted from the file.
+information is never actually deleted from the file.  (However, after
+running ExifTool the old information may be removed permanently using the
+"qpdf" utility with this command: "qpdf --linearize in.pdf out.pdf".)
 
   Tag ID               Tag Name                 Writable
@@ -12459,5 +24553,5 @@
   'Info'               Info                     PDF Info
   'Root'               Root                     PDF Root
-  '_linearized'        Linearized               N
+  '_linearized'        Linearized               no
 
 =head3 PDF Encrypt Tags
@@ -12467,6 +24561,6 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'Filter' Encryption                           N
-  'P'      UserAccess                           N
+  'Filter' Encryption                           no
+  'P'      UserAccess                           no
 
 =head3 PDF Info Tags
@@ -12499,12 +24593,19 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Lang'               Language                 N
+  'AcroForm'           AcroForm                 PDF AcroForm
+  'Lang'               Language                 no
   'MarkInfo'           MarkInfo                 PDF MarkInfo
   'Metadata'           Metadata                 PDF Metadata
-  'PageLayout'         PageLayout               N
-  'PageMode'           PageMode                 N
+  'PageLayout'         PageLayout               no
+  'PageMode'           PageMode                 no
   'Pages'              Pages                    PDF Pages
   'Perms'              Perms                    PDF Perms
-  'Version'            PDFVersion               N
+  'Version'            PDFVersion               no
+
+=head3 PDF AcroForm Tags
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  '_has_xfa'   HasXFA                           no
 
 =head3 PDF MarkInfo Tags
@@ -12512,5 +24613,5 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'Marked' TaggedPDF                            N
+  'Marked' TaggedPDF                            no
 
 =head3 PDF Metadata Tags
@@ -12524,5 +24625,5 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'Count'  PageCount                            N
+  'Count'  PageCount                            no
   'Kids'   Kids                                 PDF Kids
 
@@ -12531,4 +24632,5 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
+  'Kids'               Kids                     PDF Kids
   'Metadata'           Metadata                 PDF Metadata
   'PieceInfo'          PieceInfo                PDF PieceInfo
@@ -12571,8 +24673,9 @@
   ------               --------                 --------
   'AIMetaData'         AIMetaData               PDF AIMetaData
+  'AIPDFPrivateData'   AIPDFPrivateData         PostScript
   'AIPrivateData'      AIPrivateData            PostScript
-  'ContainerVersion'   ContainerVersion         N
-  'CreatorVersion'     CreatorVersion           N
-  'RoundTripVersion'   RoundTripVersion         N
+  'ContainerVersion'   ContainerVersion         no
+  'CreatorVersion'     CreatorVersion           no
+  'RoundTripVersion'   RoundTripVersion         no
 
 =head3 PDF AIMetaData Tags
@@ -12587,4 +24690,6 @@
   ------               --------                 --------
   'ColorSpace'         ColorSpace               PDF ColorSpace
+  'Properties'         Properties               PDF Properties
+  'XObject'            XObject                  PDF XObject
 
 =head3 PDF ColorSpace Tags
@@ -12592,5 +24697,13 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
+  'Cs1'                Cs1                      PDF Cs1
+  'DefaultCMYK'        DefaultCMYK              PDF DefaultRGB
   'DefaultRGB'         DefaultRGB               PDF DefaultRGB
+
+=head3 PDF Cs1 Tags
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  '_stream'    _stream                          ICC_Profile
 
 =head3 PDF DefaultRGB Tags
@@ -12605,4 +24718,36 @@
   ------       --------                         --------
   '_stream'    _stream                          ICC_Profile
+
+=head3 PDF Properties Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'MC'     MC                                   PDF MC
+
+=head3 PDF MC Tags
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  'Metadata'   Metadata                         PDF Metadata
+
+=head3 PDF XObject Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'Im'     Im                                   PDF Im
+
+=head3 PDF Im Tags
+
+Information extracted from embedded images with the ExtractEmbedded option.
+The EmbeddedImage and its metadata are extracted only for JPEG and Jpeg2000
+image formats.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'ColorSpace'         EmbeddedImageColorSpace  no+
+  'Filter'             EmbeddedImageFilter      no+
+  'Height'             EmbeddedImageHeight      no
+  'Image_stream'       EmbeddedImage            no
+  'Width'              EmbeddedImageWidth       no
 
 =head3 PDF Perms Tags
@@ -12620,11 +24765,11 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'ContactInfo'        SignerContactInfo        N
-  'Location'           SigningLocation          N
-  'M'                  SigningDate              N
-  'Name'               SigningAuthority         N
-  'Prop_AuthTime'      AuthenticationTime       N
-  'Prop_AuthType'      AuthenticationType       N
-  'Reason'             SigningReason            N
+  'ContactInfo'        SignerContactInfo        no
+  'Location'           SigningLocation          no
+  'M'                  SigningDate              no
+  'Name'               SigningAuthority         no
+  'Prop_AuthTime'      AuthenticationTime       no
+  'Prop_AuthType'      AuthenticationType       no
+  'Reason'             SigningReason            no
   'Reference'          Reference                PDF Reference
 
@@ -12639,50 +24784,57 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Action'             FieldPermissions         N
-  'Annots'             AnnotationUsageRights    N+
-  'Document'           DocumentUsageRights      N+
-  'EF'                 EmbeddedFileUsageRights  N+
-  'Fields'             FormFields               N+
-  'Form'               FormUsageRights          N+
-  'Msg'                UsageRightsMessage       N
-  'P'                  ModificationPermissions  N
-  'Signature'          SignatureUsageRights     N+
+  'Action'             FieldPermissions         no
+  'Annots'             AnnotationUsageRights    no+
+  'Document'           DocumentUsageRights      no+
+  'EF'                 EmbeddedFileUsageRights  no+
+  'Fields'             FormFields               no+
+  'Form'               FormUsageRights          no+
+  'FormEX'             FormExtraUsageRights     no+
+  'Msg'                UsageRightsMessage       no
+  'P'                  ModificationPermissions  no
+  'Signature'          SignatureUsageRights     no+
 
 =head2 PostScript Tags
 
-  Tag ID               Tag Name                 Writable
-  ------               --------                 --------
-  'Author'             Author                   string
-  'BeginDocument'      EmbeddedFile             PostScript
-  'BeginICCProfile'    ICC_Profile              ICC_Profile
-  'BeginPhotoshop'     PhotoshopData            Photoshop
-  'BoundingBox'        BoundingBox              N
-  'Copyright'          Copyright                string
-  'CreationDate'       CreateDate               string~
-  'Creator'            Creator                  string
-  'EmbeddedFileName'   EmbeddedFileName         N
-  'For'                For                      string
-  'ImageData'          ImageData                N
-  'Keywords'           Keywords                 string
-  'ModDate'            ModifyDate               string~
-  'Pages'              Pages                    N
-  'Routing'            Routing                  string
-  'Subject'            Subject                  string
-  'TIFFPreview'        TIFFPreview              N
-  'Title'              Title                    string
-  'Version'            Version                  string
-  'begin_xml_packet'   XMP                      XMP
+  Tag ID                 Tag Name               Writable
+  ------                 --------               --------
+  'AI12_BuildNumber'     AIBuildNumber          no
+  'AI3_ColorUsage'       AIColorUsage           no
+  'AI5_FileFormat'       AIFileFormat           no
+  'AI5_NumLayers'        AINumLayers            no
+  'AI5_RulerUnits'       AIRulerUnits           no
+  'AI5_TargetResolution' AITargetResolution     no
+  'AI8_CreatorVersion'   AICreatorVersion       no
+  'AI9_ColorModel'       AIColorModel           no
+  'Author'               Author                 string
+  'BeginDocument'        EmbeddedFile           PostScript
+  'BeginICCProfile'      ICC_Profile            ICC_Profile
+  'BeginPhotoshop'       PhotoshopData          Photoshop
+  'BoundingBox'          BoundingBox            no
+  'Copyright'            Copyright              string
+  'CreationDate'         CreateDate             string
+  'Creator'              Creator                string
+  'EmbeddedFileName'     EmbeddedFileName       no
+  'For'                  For                    string
+  'ImageData'            ImageData              no
+  'Keywords'             Keywords               string
+  'ModDate'              ModifyDate             string
+  'Pages'                Pages                  no
+  'Routing'              Routing                string
+  'Subject'              Subject                string
+  'TIFFPreview'          TIFFPreview            no
+  'Title'                Title                  string
+  'Version'              Version                string
+  'begin_xml_packet'     XMP                    XMP
 
 =head2 ID3 Tags
 
-ExifTool extracts ID3 information from MP3, MPEG, AIFF, OGG, FLAC, APE and
-RealAudio files.  ID3v2 tags which support multiple languages (ie. Comment
-and Lyrics) are extracted by specifying the tag name, followed by a dash
-('-'), then a 3-character
-ISO 639-2
-language code (ie. "Comment-spa"). See L<http://www.id3.org/> for the
-official ID3 specification and
-L<http://www.loc.gov/standards/iso639-2/php/code_list.php> for a list of ISO
-639-2 language codes.
+ExifTool extracts ID3 and Lyrics3 information from MP3, MPEG, AIFF, OGG,
+FLAC, APE, MPC and RealAudio files.  ID3v2 tags which support multiple
+languages (eg. Comment and Lyrics) are extracted by specifying the tag name,
+followed by a dash ('-'), then a 3-character ISO 639-2 language code (eg.
+"Comment-spa"). See L<http://www.id3.org/> for the official ID3
+specification and L<http://www.loc.gov/standards/iso639-2/php/code_list.php>
+for a list of ISO 639-2 language codes.
 
   Tag Name                                      Writable
@@ -12696,13 +24848,13 @@
 =head3 ID3 v1 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      3    Title                                N
-     33    Artist                               N
-     63    Album                                N
-     93    Year                                 N
-     97    Comment                              N
-    125    Track                                N
-    127    Genre                                N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      3    Title                                no
+     33    Artist                               no
+     63    Album                                no
+     93    Year                                 no
+     97    Comment                              no
+    125    Track                                no
+    127    Genre                                no
 
 =head3 ID3 v1_Enh Tags
@@ -12710,13 +24862,13 @@
 ID3 version 1 "Enhanced TAG" information (not part of the official spec).
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      4    Title2                               N
-     64    Artist2                              N
-    124    Album2                               N
-    184    Speed                                N
-    185    Genre                                N
-    215    StartTime                            N
-    221    EndTime                              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    Title2                               no
+     64    Artist2                              no
+    124    Album2                               no
+    184    Speed                                no
+    185    Genre                                no
+    215    StartTime                            no
+    221    EndTime                              no
 
 =head3 ID3 v2_2 Tags
